<?php
/************************************************************************/
/************************************************************************/
/*                                                                      */
/* NMIG : NPDS Module Installer Generator                               */
/* --------------------------------------                               */
/*                                                                      */
/* Version 1.1 - 13 Juin 2005                                           */
/* --------------------------                                           */
/*                                                                      */
/* Gnrateur de fichier de configuration pour Module-Install 1.1       */
/*                                                                      */
/* Dvelopp par Boris - http://www.lordi-depanneur.com                 */
/*                                                                      */#   N      N  M      M  IIIII     GGG
/* Module-Install est un installeur inspir du programme d'installation */#   NN     N  MM    MM    I     GG   GG
/* d'origine du module Hot-Projet dvelopp par Hotfirenet              */#   N N    N  M M  M M    I    G       G
/*                                                                      */#   N  N   N  M  MM  M    I    G
/************************************************************************/#   N   N  N  M      M    I    G   GGGGGG
/*                                                                      */#   N    N N  M      M    I    G      GG
/* NPDS : Net Portal Dynamic System                                     */#   N     NN  M      M    I     GG   GG
/* ================================                                     */#   N      N  M      M  IIIII     GGG
/*                                                                      */
/* This version name NPDS Copyright (c) 2001 by Philippe Brunier        */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/*                                                                      */
/************************************************************************/
/************************************************************************/

#autodoc $name_module: Nom du module

$name_module = "Ji-dvd";


#autodoc $list_fich : Modifications de fichiers: Dans le premier tableau, tapez le nom du fichier
#autodoc et dans le deuxime, A LA MEME POSITION D'INDEX QUE LE PREMIER, tapez le code  insrer dans le fichier.
#autodoc Si le fichier doit tre cr, n'oubliez pas les < ? php et ? > !!! (sans espace!).
#autodoc Synopsis: $list_fich = array(array("nom_fichier1","nom_fichier2"), array("contenu_fchier1","contenu_fichier2"));

$list_fich = array(array("admin/extend-modules.txt"), array("[module]\n  [nom]Ji-dvd[/nom]\n  [ModPath]Ji-dvd[/ModPath]\n  [ModStart]admin/adm[/ModStart]\n [niveau]radminsuper[/niveau]\n [/module]    "));


#autodoc $sql = array(""): Si votre module doit excuter une ou plusieurs requtes SQL, tapez vos requtes ici.
#autodoc Attention! UNE requte par lment de tableau!
#autodoc Synopsis: $sql = array("requte_sql_1","requte_sql_2");

$sql = array("DROP TABLE IF EXISTS ".$NPDS_Prefix."_4ndvddb;", "CREATE TABLE ".$NPDS_Prefix."_4ndvddb (
  id int(10) NOT NULL auto_increment,
  date date NOT NULL default '0000-00-00',
  title varchar(150) NOT NULL default '',
  text text NOT NULL,
  reviewer varchar(20) default NULL,
  email varchar(60) default NULL,
  score int(10) NOT NULL default '0',
  cover varchar(100) NOT NULL default '',
  url varchar(100) NOT NULL default '',
  url_title varchar(50) NOT NULL default '',
  hits int(10) NOT NULL default '0',
  rlanguage varchar(30) NOT NULL default '',
  PRIMARY KEY  (id),
  KEY id (id)
) TYPE=MyISAM;",

"INSERT INTO ".$NPDS_Prefix."_4ndvddb (id, date, title, text, reviewer, email, score, cover, url, url_title, hits, rlanguage) VALUES (1, '1975-12-10', '4thDimension Networking History-Deutsch', '<b>4thDimension Networking</b> DvD - 1<br>Never drive faster like your angel can fly!', '2003', 'DTS 7.1', 10, 'jason.gif', 'http://www.4thDimension.de', '4thDimension Networking', 1, 'german');",
"INSERT INTO ".$NPDS_Prefix."_4ndvddb (id, date, title, text, reviewer, email, score, cover, url, url_title, hits, rlanguage) VALUES (2, '1975-12-10', '4thDimension Networking History-English', '<b>4thDimension Networking</b> DvD - 1<br>Never drive faster like your angel can fly!', '2003', 'DTS 7.1', 10, 'jason.gif', 'http://www.4thDimension.de', '4thDimension Networking', 1, 'english');",

"DROP TABLE IF EXISTS ".$NPDS_Prefix."_4ndvddb_add;", "CREATE TABLE ".$NPDS_Prefix."_4ndvddb_add (
  id int(10) NOT NULL auto_increment,
  date date default NULL,
  title varchar(150) NOT NULL default '',
  text text NOT NULL,
  reviewer varchar(20) NOT NULL default '',
  email varchar(60) default NULL,
  score int(10) NOT NULL default '0',
  url varchar(100) NOT NULL default '',
  url_title varchar(50) NOT NULL default '',
  rlanguage varchar(30) NOT NULL default '',
  PRIMARY KEY  (id),
  KEY id (id)
) TYPE=MyISAM;",

"DROP TABLE IF EXISTS ".$NPDS_Prefix."_4ndvddb_comments;","CREATE TABLE ".$NPDS_Prefix."_4ndvddb_comments (
  cid int(10) NOT NULL auto_increment,
  rid int(10) NOT NULL default '0',
  userid varchar(25) NOT NULL default '',
  date datetime default NULL,
  comments text,
  score int(10) NOT NULL default '0',
  PRIMARY KEY  (cid),
  KEY cid (cid),
  KEY rid (rid),
  KEY userid (userid)
) TYPE=MyISAM;",

"DROP TABLE IF EXISTS ".$NPDS_Prefix."_4ndvddb_main;","CREATE TABLE ".$NPDS_Prefix."_4ndvddb_main (
  title varchar(100) default NULL,
  description text
) TYPE=MyISAM;",

"INSERT INTO ".$NPDS_Prefix."_4ndvddb_main (title, description) VALUES ('DvD-Datenbank Titel<br>DvD-Database Title', 'DvD-Datenbank Beschreibung hier eingeben.<br>Enter here the DvD-Database Description.');");

#autodoc $blocs = array(array(""), array(""), array(""), array(""), array(""), array(""), array(""), array(""), array(""))
#autodoc                titre      contenu    membre     groupe     index      rtention  actif      aide       description
#autodoc Configuration des blocs

$blocs = array(array(""), array(""), array(""), array(""), array(""), array(""), array(""), array(""), array(""));


#autodoc $txtdeb : Vous pouvez mettre ici un texte de votre choix avec du html qui s'affichera au dbut de l'install
#autodoc Si rien n'est mis, le texte par dfaut sera automatiquement affich

$txtdeb = "";


#autodoc $txtfin : Vous pouvez mettre ici un texte de votre choix avec du html qui s'affichera  la fin de l'install

$txtfin = "Merci d'utiliser le module Ji-dvd<br /><br /><a href=\"http://modules.npds.org\" target=\"_blank\">modules.npds.org</a><br />";


#autodoc $link: Lien sur lequel sera redirig l'utilisateur  la fin de l'install (si laiss vide, redirig sur index.php)
#autodoc N'oubliez pas les '\' si vous utilisez des guillemets !!!

$end_link = "admin.php?op=Extend-Admin-SubModule&amp;ModPath=Ji-dvd&amp;ModStart=admin/adm";
?>