#/************************************************************************/
#/* 4n DvD-Database Version 0.91 (german & english)                      */
#/* for phpNUKE Version 6.0 - 6.8 (http://phpnuke.org)                   */
#/* Also for 4nNukeWare (www.nukeware.net) all 0.9er Versions            */
#/* ==================================================================== */
#/* By WarpSpeed (Marco Wiesler) (warpspeed@4thDimension.de) @ Aug/2oo3  */
#/* http://www.warp-speed.de @ 4thDimension.de Networking                */
#/* ==================================================================== */
#/* Based on:                                                            */
#/* phpNUKE Reviews Module                                               */
#/* ======================                                               */
#/* Author: Francisco Burzi                                              */
#/* Website: http://www.phpnuke.org                                      */
#/* ==================================================================== */
#/* This program is free software. You can redistribute it and/or modify */
#/* it under the terms of the GNU General Public License as published by */
#/* the Free Software Foundation; either version 2 of the License.       */
#/************************************************************************/

# NOTE: It is better/saver you use the 4ndvddb-mysql-setup.php file
# for creating the mySQL Tables !!!

# If you have another mySQL prefix like nuke, then just replace all nuke_
# strings in this file with the one matching to your mySQL prefix, before
# you execute/use it. Note: CASE SENSITIVE and don't forget the ending _

CREATE TABLE _4ndvddb (
  id int(10) NOT NULL auto_increment,
  date date NOT NULL default '0000-00-00',
  title varchar(150) NOT NULL default '',
  text text NOT NULL,
  reviewer varchar(20) default NULL,
  email varchar(60) default NULL,
  score int(10) NOT NULL default '0',
  cover varchar(100) NOT NULL default '',
  url varchar(100) NOT NULL default '',
  url_title varchar(50) NOT NULL default '',
  hits int(10) NOT NULL default '0',
  rlanguage varchar(30) NOT NULL default '',
  PRIMARY KEY  (id),
  KEY id (id)
) TYPE=MyISAM;

INSERT INTO _4ndvddb (id, date, title, text, reviewer, email, score, cover, url, url_title, hits, rlanguage) VALUES (1, '1975-12-10', '4thDimension Networking History-Deutsch', '<b>4thDimension Networking</b> DvD - 1<br>Never drive faster like your angel can fly!', '2003', 'DTS 7.1', 10, 'jason.gif', 'http://www.4thDimension.de', '4thDimension Networking', 1, 'german');
INSERT INTO _4ndvddb (id, date, title, text, reviewer, email, score, cover, url, url_title, hits, rlanguage) VALUES (2, '1975-12-10', '4thDimension Networking History-English', '<b>4thDimension Networking</b> DvD - 1<br>Never drive faster like your angel can fly!', '2003', 'DTS 7.1', 10, 'jason.gif', 'http://www.4thDimension.de', '4thDimension Networking', 1, 'english');

CREATE TABLE _4ndvddb_add (
  id int(10) NOT NULL auto_increment,
  date date default NULL,
  title varchar(150) NOT NULL default '',
  text text NOT NULL,
  reviewer varchar(20) NOT NULL default '',
  email varchar(60) default NULL,
  score int(10) NOT NULL default '0',
  url varchar(100) NOT NULL default '',
  url_title varchar(50) NOT NULL default '',
  rlanguage varchar(30) NOT NULL default '',
  PRIMARY KEY  (id),
  KEY id (id)
) TYPE=MyISAM;

CREATE TABLE _4ndvddb_comments (
  cid int(10) NOT NULL auto_increment,
  rid int(10) NOT NULL default '0',
  userid varchar(25) NOT NULL default '',
  date datetime default NULL,
  comments text,
  score int(10) NOT NULL default '0',
  PRIMARY KEY  (cid),
  KEY cid (cid),
  KEY rid (rid),
  KEY userid (userid)
) TYPE=MyISAM;

CREATE TABLE _4ndvddb_main (
  title varchar(100) default NULL,
  description text
) TYPE=MyISAM;

INSERT INTO _4ndvddb_main (title, description) VALUES ('DvD-Datenbank Titel<br>DvD-Database Title', 'DvD-Datenbank Beschreibung hier eingeben.<br>Enter here the DvD-Database Description.');